Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkFieldData::Iterator Class Reference

`#include <vtkFieldData.h>`

Inheritance diagram for vtkFieldData::Iterator:

[legend]
Collaboration diagram for vtkFieldData::Iterator:

[legend]
List of all members.

## Public Methods

| Iterator (const Iterator &source)
Iterator & | operator= (const Iterator &source)
virtual | ~Iterator ()
| Iterator (vtkFieldData *dsa, const int *list=0, unsigned int listSize=0)
vtkDataArray * | Begin ()
vtkDataArray * | Next ()
void | DetachFieldData ()

## Protected Attributes

vtkFieldData * | Fields
int | Detached

## Constructor & Destructor Documentation

vtkFieldData::Iterator::Iterator | ( | const Iterator & | source | ) |

virtual vtkFieldData::Iterator::~Iterator | ( |  | ) | `[virtual]`

vtkFieldData::Iterator::Iterator | ( | vtkFieldData * | dsa,
|  | const int * | list = 0,
|  | unsigned int | listSize = 0
| ) |

## Member Function Documentation

Iterator& vtkFieldData::Iterator::operator= | ( | const Iterator & | source | ) |

vtkDataArray* vtkFieldData::Iterator::Begin | ( |  | ) | `[inline]`

| Definition at line 411 of file vtkFieldData.h.

vtkDataArray* vtkFieldData::Iterator::Next | ( |  | ) | `[inline]`

| Definition at line 417 of file vtkFieldData.h.

void vtkFieldData::Iterator::DetachFieldData | ( |  | ) |

## Member Data Documentation

vtkFieldData* vtkFieldData::Iterator::Fields`[protected]`

| Definition at line 427 of file vtkFieldData.h.

int vtkFieldData::Iterator::Detached`[protected]`

| Definition at line 428 of file vtkFieldData.h.

The documentation for this class was generated from the following file:

- Common/vtkFieldData.h